{
        template: '${tmpl}',
                data: function() {
                        return {
                                brandIcon: [
                                        {
                                                name: '相同商标',
                                                img: '/imgs/mobilebranddemo/brandIcon1.png',
                                        },
                                        {
                                                name: '近似商标',
                                                img: '/imgs/mobilebranddemo/brandIcon2.png',
                                        },
                                        {
                                                name: '申请号',
                                                img: '/imgs/mobilebranddemo/brandIcon3.png',
                                        },
                                        {
                                                name: '申请人',
                                                img: '/imgs/mobilebranddemo/brandIcon4.png',
                                        },

                                ]
                        }
                },
        mounted: function() {
                /**跳转 */
        },
        created: function() {
                this.$root.hidemenu();
        },
        methods: {
                /*
                search(){
                        let { historySearch } = localStorage;
                        let data = this.searchValue;
                        this.searchValue = '';
                        if (!historySearch) {
                                let arr = [];
                                arr.push(data);
                                let str = JSON.stringify(arr);
                                localStorage.historySearch = str;
                        } else {
                                let arr = JSON.parse(historySearch);
                                arr.push(data);
                                if (arr.length > 10) {
                                        arr.shift();
                                }
                                let sortArr = arr.reverse();
                                let str = JSON.stringify([...new Set(arr)]);
                                localStorage.historySearch = str;
                        }
                         this.$router.push({ path: "/mobilesearchlist", query: { data } });
                },
                
                goBack(){
                        history.go(-1);
                },
                historyDel(index){
                        let arr = JSON.parse(localStorage.historySearch) ;
                        console.log(arr);
                        arr.splice(index, 1);
                        this.historySearch = arr;
                        localStorage.historySearch = JSON.stringify(arr);
                },
                historyItem(index,item){
                        this.searchValue = item;
                        let data = this.searchValue;
                        this.$router.push({ path: "/mobilesearchlist", query: { data } });
                },
                */

                goSearch(){
                        this.$router.push({ path: "/mobilesearch" });
                }

        },
        vname: "gsb-mobilesearchdemo"
}
